Ubuntu/Debian

关注公众号 jb51net

关闭
操作系统 > Ubuntu/Debian >

在Ubuntu系统中安装Chrome浏览器的教程

zhoutk

添加PPA
从Google Linux Repository(http://www.google.com/linuxrepositories/)下载安装Key,或把下面的代码复制进终端,回车,需要管理员密码


wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Key安装好后,在终端输入:


sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google-chrome.list'

更新
在终端输入:


sudo apt-get update

安装
安装稳定版Chrome,在终端输入:

sudo apt-get install google-chrome-stable

安装Beta版Chrome,在终端输入:
sudo apt-get install google-chrome-beta

安装不稳定版Chrome,在终端输入:
sudo apt-get install google-chrome-unstable

上面的方法装成功了第一次,后面再装好像被封了,唉!
又在网上搜索,下面方法可行:
32 bit :


sudo dpkg -i google-chrome-stable_current_i386.deb

64 bit :


sudo dpkg -i google-chrome-stable_current_amd64.deb

错误解决
下面这个报错


dpkg: dependency problems prevent configuration of google-chrome-stable:
google-chrome-stable depends on libnss3-1d (>= 3.12.3); however:
Package libnss3-1d is not installed.
google-chrome-stable depends on libxss1; however:
Package libxss1 is not installed.
dpkg: error processing google-chrome-stable (--install):
dependency problems - leaving unconfigured

主要是依赖项没有安装全,用命令安装下面3个包,具体哪个包要看linux发行版本


sudo apt-get install libnss3-1d libxss1 libcurl3

开控制台转到chrome.deb包的目录
用命令安装


sudo dpkg -i google-chrome-stable_current_i386.deb

阅读全文